#!/bin/sh

INSTALL_DIR=/opt/installer
DRIVER_VERSION_TXT="version.txt"

NVIDIA_DRIVER_FILE=`cat $INSTALL_DIR/driver/$DRIVER_VERSION_TXT | grep "NVIDIA" | cut -d":" -f2 | tr -d '\n\r'`
NVIDIA_DRIVER_VU_FILE=`cat $DRIVER_VERSION_TXT | grep "NVIDIA" | cut -d":" -f2 | tr -d '\n\r'`

if [ $NVIDIA_DRIVER_FILE != $NVIDIA_DRIVER_VU_FILE ] ; then
	cp $NVIDIA_DRIVER_VU_FILE $INSTALL_DIR/driver/$NVIDIA_DRIVER_VU_FILE
	cp $DRIVER_VERSION_TXT $INSTALL_DIR/driver/$DRIVER_VERSION_TXT
	touch $INSTALL_DIR/INSTALLDRIVER
	touch /opt/REQUIRE_REBOOT
	logger -t driver_update "update drivers!!"
	reboot
fi
